Jump to content
Unsupported version Read more... ×

Unsupported version

Prime

Hello everyone!

 

We are aware of the current update to ETS & ATS and are working on getting the multiplayer mod supported for the latest version as soon as possible.

 

Steam beta settings:

ETS: temporary_1_34 - 1.34.x for unsupported mods

ATS: temporary_1_34 - 1.34.x for unsupported mods

 

You can find a guide on how to downgrade your game to still be able to play the mod here: 

 



×